
#include <AFMotor.h>
#include <Servo.h> 
//initial motors pin
AF_DCMotor motor1(1, MOTOR12_1KHZ); 
AF_DCMotor motor2(2, MOTOR12_1KHZ); 
AF_DCMotor motor3(3, MOTOR34_1KHZ);
Servo myservo;
int update_interval=100; 
unsigned long last_time=0; 
char data_in; 
float trace1;

char command; 

void setup() 
{       
  Serial.begin(9600);  
Serial.println("*.kwl");
Serial.println("clear_panel()");
Serial.println("set_grid_size(15,7)");
Serial.println("add_button(0,4,28,Y,y)");
Serial.println("add_button(0,2,27,R,r)");
Serial.println("add_button(9,4,12,Z,z)");
Serial.println("add_button(10,4,3,D,d)");
Serial.println("add_button(11,4,13,H,h)");
Serial.println("add_button(12,2,30,B,b)");
Serial.println("add_button(12,4,29,G,g)");
Serial.println("add_8way_pad(2,4,1,5,2,6,3,7,4,8,0,0,,)");
Serial.println("add_roll_graph(3,0,5,0.0,100.0,100,G,Graph Title,X-Axis,Y-Axis,1,0,1,0,1,1,medium,none,1,1,42,97,222)");
Serial.println("add_monitor(9,0,3,,1)");
Serial.println("set_panel_notes(,,,)");
Serial.println("run()");
Serial.println("*");

   myservo.attach(10);  
  myservo.write(90); 
  delay(50);
}

void loop(){
  if(Serial.available() > 0){ 
    command = Serial.read(); 
    Stop(); 
    switch(command){
    case '1':  
      forward();
      break;
    case '2': 
       right();
      break;
    case '3':   
      back();
      break;
    case '4':   
      left();
      break;
    case '5':  
      DiagonalUpRight();
      break;
    case '6':  
      DiagonalDownRight();
      break;
    case '7':  
      DiagonalDownLeft();
      break;
    case '8':
      DiagonalUpLeft();
      break;
    case 'B':  
       rightmotorforward();
      break;
    case 'G':  
      rightmotorbackward();
      break;
    case 'R':
      leftmotorforward();
      break;
    case 'Y':
      leftmotorbackward();
      break;
    case 'D':
      angle1();
      break;
    case 'Z':
      angle2();
      break;
    case 'H':
     angle3();
      break;
    case 'M':
      bothuppermotorforward();
      break;
    case 'W':
      bothuppermotorbackward();
      break;
    case 'X':
     downmotorforward();
      break;
    case 'O':
      downmotorbackward();
      break;
    case 'L':
      angle4();
      break;
    case 'T':
     angle5();
      break;
    }
  } 
}

void forward()
{
  motor1.setSpeed(255); 
  motor1.run(FORWARD); 
  motor2.setSpeed(255); 
  motor2.run(FORWARD); 
  motor3.setSpeed(255);
  motor3.run(FORWARD); 
  myservo.write(90); 
    delay(500);
}

void back()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD); 
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); 
  motor3.setSpeed(255); 
  motor3.run(BACKWARD); 
  myservo.write(90); 
    delay(500);
}

void left()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD); 
  motor2.setSpeed(255);
  motor2.run(FORWARD); 
  motor3.setSpeed(0);
  motor3.run(RELEASE); 
 
 
}

void right()
{
  motor1.setSpeed(255); 
  motor1.run(FORWARD); 
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); 
  motor3.setSpeed(0); 
  motor3.run(RELEASE); 
 
} 
void DiagonalUpRight()
{
motor1.setSpeed(255); 
  motor1.run(FORWARD); 
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); 
  motor3.setSpeed(255);
  motor3.run(FORWARD); 
  myservo.write(135); 
    delay(500);
 
} 
void  DiagonalDownRight()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD);
  motor2.setSpeed(255); 
  motor2.run(FORWARD); 
  motor3.setSpeed(255);
  motor3.run(BACKWARD); 
  myservo.write(135); 
    delay(500);
 
} 
void    DiagonalUpLeft()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD); 
  motor2.setSpeed(255); 
  motor2.run(FORWARD); 
  motor3.setSpeed(255);
  motor3.run(FORWARD); 
  myservo.write(45); 
    delay(500);
 
} 
void   DiagonalDownLeft()
{
  motor1.setSpeed(255); 
  motor1.run(FORWARD); 
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); 
  motor3.setSpeed(255);
  motor3.run(BACKWARD);
  myservo.write(45); 
    delay(500);
 
} 
void   rightmotorforward()
{
  motor1.setSpeed(255); 
  motor1.run(RELEASE); 
  motor2.setSpeed(255); 
  motor2.run(FORWARD); 
  motor3.setSpeed(255);
  motor3.run(RELEASE); 
 
} 
void  rightmotorbackward()
{
  motor1.setSpeed(255); 
  motor1.run(RELEASE); 
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); 
  motor3.setSpeed(255);
  motor3.run(RELEASE); 
 
} 
void   leftmotorforward()
{
  motor1.setSpeed(255); 
  motor1.run(FORWARD); 
  motor2.setSpeed(255);
  motor2.run(RELEASE); 
  motor3.setSpeed(255);
  motor3.run(RELEASE); 
 
} 
void   leftmotorbackward()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD); 
  motor2.setSpeed(255); 
  motor2.run(RELEASE); 
  motor3.setSpeed(255);
  motor3.run(RELEASE); 
 
} 
void   angle1()
{
  myservo.write(90); 
    delay(500);
 
} 
void   angle2()
{
  myservo.write(70); 
    delay(500);
 
} 
void   angle3()
{
  myservo.write(110); 
    delay(500);
 
} 
void   angle4()
{
  myservo.write(45); 
    delay(500);
 
} 
void   angle5()
{
  myservo.write(135); 
    delay(500);
 
} 
void   bothuppermotorforward()
{
  motor1.setSpeed(255);
  motor1.run(FORWARD); 
  motor2.setSpeed(255); 
  motor2.run(FORWARD); 
  motor3.setSpeed(255);
  motor3.run(RELEASE); 
 
} 
void   bothuppermotorbackward()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD); 
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); 
  motor3.setSpeed(255);
  motor3.run(RELEASE); 
 
} 
void   downmotorforward()
{
  motor1.setSpeed(255); 
  motor1.run(RELEASE); 
  motor2.setSpeed(255); 
  motor2.run(RELEASE); 
  motor3.setSpeed(255);
  motor3.run(FORWARD); 
 
} 
void   downmotorbackward()
{
  motor1.setSpeed(255);
  motor1.run(RELEASE); 
  motor2.setSpeed(255); 
  motor2.run(RELEASE); 
  motor3.setSpeed(255);
  motor3.run(BACKWARD); 
 
} 
void Stop()
{
  motor1.setSpeed(0); 
  motor1.run(RELEASE); 
  motor2.setSpeed(0); 
  motor2.run(RELEASE); 
  motor3.setSpeed(0); 
  motor3.run(RELEASE); 
  


}
